Terminology - Classify Observation

Classifies an observation, including lab observations and panels, radiology or other reports.

Guides

See the Programming Guide for general Terminology API information.

Endpoints

POST /terminology/v1/classify/observation

POST /terminology/v1/classify/observation/batch

Input

The body specifies the input coding. See the Classify API Overview for details.

Supported Code Systems

The input must be from one of the following code systems:

  • LOINC
  • SNOMED

Body Parameters

code string (required)

Code value.

system string (required)

The source code system (as a name or URL).

display string

Display string.

Request Headers

Header Value
x-api-key YOUR_API_KEY, obtained from the Developer Portal
content-type application/json
accept application/json

Output

The output provides a set of classifications based on domain. See the Classify API Overview for details.

loincComponent string

The analyte or attribute being measured or observed (e.g., Sodium, Body weight, Discharge summary note) from LOINC Component.

loincClass string

From LOINC Class (e.g., CARD-US for cardiac ultrasound, RAD for radiology, HEM/BC for hematology/blood chemistry).

loincSystem string

From LOINC System (e.g., Bld for blood, Liver).

loincMethodType string

From LOINC MethodType (e.g., IA for immunoassay, Visual for visual count).

loincTimeAspect string

From LOINC TimeAspect (e.g., Pt for point in time, 24H for 24 hours).

covid19Lab string (categorical)

One of: antigen, antibody, immunoglobulin. Based on proprietary value sets developed from WHO, CDC, SNOMED, LOINC, and AMA coding advisories.

category string (categorical)

One of: activity, exam, imaging, laboratory, procedure, social-history, survey, therapy, vital-signs (Based on FHIR Observation Category)

Details

The following sections provide additional details about the message handling.

Batch Mode

For batch mode, specify the body parameters in the items field, as explained in Batch Operations. The output data will then contain an items array with the usual classify output for each item.

Example

Try It
Try out the operations, with examples, in the Developer Portal Sandbox.
Sample Classify Input
{
    "code": "94558-4",
    "system": "LOINC"
}
Sample Classify Response
{
    "loincComponent": "SARS coronavirus 2 Ag",
    "loincClass": "MICRO",
    "loincSystem": "Respiratory",
    "loincMethodType": "IA.rapid",
    "loincTimeAspect": "Pt",
    "covid19Lab": "Antigen",
    "category": "laboratory"
}

For additional examples, or to try out the API live, see the Developer Portal Sandbox